import praw
# from praw.models import MoreComments

r = praw.Reddit(client_id='rDpKg8v-jw4QoQ',
                client_secret='IUcwsp_1_zkmgGMY-X5fvXKyMWs',
                password='IjNSZQdtQAdl',
                user_agent='test-script',
                username='adhesiveduck')
print(r.user.me())

submission = r.submission(url='https://old.reddit.com/r/AskReddit/comments/'
                          'cbg7m1/what_movie_do_you_consider_perfect/')

submission.comments.replace_more(limit=20)

# print(type(submission))

for top_level_comment in submission.comments:
    print(top_level_comment.body)
